<?php

namespace EventPortal\AuthPassword\Rules;

class ContainsLowercase implements NovoRule
{
    // phpcs:disable Generic.CodeAnalysis.UnusedFunctionParameter
    // phpcs:disable SlevomatCodingStandard.TypeHints.ParameterTypeHint
    public function passes($attribute, $value): bool
    {
        return (bool) preg_match('/^(?=.*[a-z])/', $value);
    }

    // phpcs:enable
    public function message(): string
    {
        return 'There must be at least one lowercase letter.';
    }

    public function frontEndLabel(): string
    {
        return 'Lowercase letters';
    }

    public function frontEndValidation(): array
    {
        return [
            'lowercase',
        ];
    }
}
